Welcome to the forums. Please post in English or French.

You are not logged in.

#1 2019-09-27 07:45:09

IV_CoAs
Member
From: Tampere
Registered: 2013-07-12
Posts: 43

[SOLVED] Salome-meca 2019.0.0-1

Hello,

I tried to launch salome-meca 2019 in Ubuntu 16.04  platform. I get following errors. Before this stage there was some libQt errors, but using
"export LD_LIBRAY_PATH=" ponting to salome-meca lib/Qt-591 folder solve it. This error below is too complicate for me. I hope, that somebody can help in tihs matter.

BR Ilkka


runSalome running on palvelin-lnx
Searching for a free port for naming service: 2820 - OK
Searching Naming Service  + found in 0.1 seconds
Searching /Kernel/Session in Naming Service  ++Traceback (most recent call last):
  File "/home/laskentamylly/salome_meca/V2019_univ/modules/KERNEL_V9_3_0/bin/salome/orbmodule.py", line 172, in waitNSPID
    os.kill(thePID,0)
ProcessLookupError: [Errno 3] No such process

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/laskentamylly/salome_meca/appli_V2019_univ/bin/salome/runSalome.py", line 633, in useSalome
    clt = startSalome(args, modules_list, modules_root_dir)
  File "/home/laskentamylly/salome_meca/appli_V2019_univ/bin/salome/runSalome.py", line 578, in startSalome
    session=clt.waitNSPID("/Kernel/Session",mySessionServ.PID,SALOME.Session)
  File "/home/laskentamylly/salome_meca/V2019_univ/modules/KERNEL_V9_3_0/bin/salome/orbmodule.py", line 174, in waitNSPID
    raise RuntimeError("Process %d for %s not found" % (thePID,theName))
RuntimeError: Process 10248 for /Kernel/Session not found


--- Error during Salome launch ---

Last edited by IV_CoAs (2019-10-07 06:33:55)

Offline

#2 2019-09-27 19:41:27

ftrillaudp
Member
From: Mexico city
Registered: 2012-04-24
Posts: 15

Re: [SOLVED] Salome-meca 2019.0.0-1

Same error here on Debian 9.

runSalome running on debian-gnu-linux-vm
Error when trying to access active network connections.
Traceback (most recent call last):
  File "/opt/salome_meca/appli_V2019_univ/bin/salome/PortManager.py", line 111, in __isNetworkConnectionActiveOnPort
    p = Popen(cmd, stdout=PIPE, stderr=STDOUT)
  File "/opt/salome_meca/V2019_univ/prerequisites/Python-365/lib/python3.6/subprocess.py", line 709, in __init__
    restore_signals, start_new_session)
  File "/opt/salome_meca/V2019_univ/prerequisites/Python-365/lib/python3.6/subprocess.py", line 1344, in _execute_child
    raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: 'netstat': 'netstat'
Searching for a free port for naming service: 2811 - OK
Searching Naming Service  + found in 0.1 seconds
SALOME_Session_Server: error while loading shared libraries: libQt5Xml.so.5: cannot open shared object file: No such file or directory
Traceback (most recent call last):
  File "/opt/salome_meca/V2019_univ/modules/KERNEL_V9_3_0/bin/salome/orbmodule.py", line 172, in waitNSPID
    os.kill(thePID,0)
ProcessLookupError: [Errno 3] No such process

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/salome_meca/appli_V2019_univ/bin/salome/runSalome.py", line 633, in useSalome
    clt = startSalome(args, modules_list, modules_root_dir)
  File "/opt/salome_meca/appli_V2019_univ/bin/salome/runSalome.py", line 578, in startSalome
    session=clt.waitNSPID("/Kernel/Session",mySessionServ.PID,SALOME.Session)
  File "/opt/salome_meca/V2019_univ/modules/KERNEL_V9_3_0/bin/salome/orbmodule.py", line 174, in waitNSPID
    raise RuntimeError("Process %d for %s not found" % (thePID,theName))
RuntimeError: Process 8757 for /Kernel/Session not found
Searching /Kernel/Session in Naming Service 

--- Error during Salome launch ---


Research professor
Fields of interest: engineering, thermodynamics, mechanics, electromagnetism, computer science and open source software

Offline

#3 2019-09-30 16:36:27

GXA_William
Member
Registered: 2016-04-30
Posts: 40

Re: [SOLVED] Salome-meca 2019.0.0-1

Hello Code_Aster community.

Are there any necessary pre-requisites for SMECA V2019 which are in addition to those needed for previous releases of SMECA?

I ask because we have tried without success to install V2019 on three different workstations all of which have no issues running previous releases of SMECA or Aster (sequential and MPI versions including Aster V14.2).

The OS on all machines is Ubuntu 16.04 - 64 bit.

Curious to learn if other users running the same OS are having similar issues.

Kind regards,

-William


Searching for a free port for naming service: 2810 - OK
Searching Naming Service  + found in 0.1 seconds
SALOME_Session_Server: error while loading shared libraries: libnlopt.so.0: cannot open shared object file: No such file or directory
Traceback (most recent call last):
  File "/opt/V2019_univ/modules/KERNEL_V9_3_0/bin/salome/orbmodule.py", line 172, in waitNSPID
    os.kill(thePID,0)
ProcessLookupError: [Errno 3] No such process

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/appli_V2019_univ/bin/salome/runSalome.py", line 633, in useSalome
    clt = startSalome(args, modules_list, modules_root_dir)
  File "/opt/appli_V2019_univ/bin/salome/runSalome.py", line 578, in startSalome
    session=clt.waitNSPID("/Kernel/Session",mySessionServ.PID,SALOME.Session)
  File "/opt/V2019_univ/modules/KERNEL_V9_3_0/bin/salome/orbmodule.py", line 174, in waitNSPID
    raise RuntimeError("Process %d for %s not found" % (thePID,theName))
RuntimeError: Process 27939 for /Kernel/Session not found
Searching /Kernel/Session in Naming Service 

--- Error during Salome launch ---

Offline

#4 2019-09-30 19:27:59

sb1966
Member
Registered: 2015-03-16
Posts: 97

Re: [SOLVED] Salome-meca 2019.0.0-1

Same error I am experiencing in Ubuntu 18.04 LTS. The version 2018.0.1 runs fine in the same machine. The terminal output I am getting is as follows:

 
sukumar@sukumar-HP-200-G3-AiO:~/salome_meca/appli_V2019_univ$ ./salome
runSalome running on sukumar-HP-200-G3-AiO
Error when trying to access active network connections.
Traceback (most recent call last):
  File "/home/sukumar/salome_meca/appli_V2019_univ/bin/salome/PortManager.py", line 111, in __isNetworkConnectionActiveOnPort
    p = Popen(cmd, stdout=PIPE, stderr=STDOUT)
  File "/home/sukumar/salome_meca/V2019_univ/prerequisites/Python-365/lib/python3.6/subprocess.py", line 709, in __init__
    restore_signals, start_new_session)
  File "/home/sukumar/salome_meca/V2019_univ/prerequisites/Python-365/lib/python3.6/subprocess.py", line 1344, in _execute_child
    raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: 'netstat': 'netstat'
Searching for a free port for naming service: 2817 - OK
Searching Naming Service  + found in 0.1 seconds 
Searching /Kernel/Session in Naming Service  ++SALOME_Session_Server: error while loading shared libraries: libQt5X11Extras.so.5: cannot open shared object file: No such file or directory
Traceback (most recent call last):
  File "/home/sukumar/salome_meca/V2019_univ/modules/KERNEL_V9_3_0/bin/salome/orbmodule.py", line 172, in waitNSPID
    os.kill(thePID,0)
ProcessLookupError: [Errno 3] No such process

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/sukumar/salome_meca/appli_V2019_univ/bin/salome/runSalome.py", line 633, in useSalome
    clt = startSalome(args, modules_list, modules_root_dir)
  File "/home/sukumar/salome_meca/appli_V2019_univ/bin/salome/runSalome.py", line 578, in startSalome
    session=clt.waitNSPID("/Kernel/Session",mySessionServ.PID,SALOME.Session)
  File "/home/sukumar/salome_meca/V2019_univ/modules/KERNEL_V9_3_0/bin/salome/orbmodule.py", line 174, in waitNSPID
    raise RuntimeError("Process %d for %s not found" % (thePID,theName))
RuntimeError: Process 6865 for /Kernel/Session not found


--- Error during Salome launch ---

Hope to get some directions for proper installation.

Regards.

Sukumar

Offline

#5 2019-09-30 20:52:37

Jcm
Member
Registered: 2019-09-28
Posts: 3

Re: [SOLVED] Salome-meca 2019.0.0-1

Same error on Debian 10


salome_meca/appli_V2019_univ/bin/salome/PortManager.py[151]Problem loading PortManager file: /tmp/.salome_PortManager.cfg
INFO:PortManager:Problem loading PortManager file: /tmp/.salome_PortManager.cfg
Searching for a free port for naming service: 2810 - OK
Searching Naming Service  + found in 0.1 seconds
Searching /Kernel/Session in Naming Service  +++++SALOME_Session_Server: error while loading shared libraries: libnlopt.so.0: cannot open shared object file: No such file or directory
Traceback (most recent call last):
  File "/home/claudio/salome_meca/V2019_univ/modules/KERNEL_V9_3_0/bin/salome/orbmodule.py", line 172, in waitNSPID
    os.kill(thePID,0)
ProcessLookupError: [Errno 3] No such process

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/claudio/salome_meca/appli_V2019_univ/bin/salome/runSalome.py", line 633, in useSalome
    clt = startSalome(args, modules_list, modules_root_dir)
  File "/home/claudio/salome_meca/appli_V2019_univ/bin/salome/runSalome.py", line 578, in startSalome
    session=clt.waitNSPID("/Kernel/Session",mySessionServ.PID,SALOME.Session)
  File "/home/claudio/salome_meca/V2019_univ/modules/KERNEL_V9_3_0/bin/salome/orbmodule.py", line 174, in waitNSPID
    raise RuntimeError("Process %d for %s not found" % (thePID,theName))
RuntimeError: Process 2567 for /Kernel/Session not found

Offline

#6 2019-10-01 06:24:24

IV_CoAs
Member
From: Tampere
Registered: 2013-07-12
Posts: 43

Re: [SOLVED] Salome-meca 2019.0.0-1

I download Salome V 9.3 binary from salome-platform.org site and it was possible to start up. I seems, that there is something, when making transition from salome v 9.3 to salome-meca 2019, but what?

BR Ilkka

Offline

#7 2019-10-01 10:31:20

mecour
Member
From: Ostrava (Czech)
Registered: 2011-04-04
Posts: 118

Re: [SOLVED] Salome-meca 2019.0.0-1

Hello,

there is classical problem with libstdc++.
I can solve it by deleting link libstdc++.so.6 in

HOME/salome_meca/V2019_univ/prerequisites/debianForSalome/lib

and create new link to system libraries.
ln -s /usr/local/lib64/libstdc++.so.6

then the salome-meca starts well.

but if I want to run AsterStudy module I get many errors from PyQT library like:
AttributeError: module 'PyQt5.Qt' has no attribute 'Qt'

The python problem is only with AsterStudy module, all other modules works fine.
mecour

Last edited by mecour (2019-10-01 11:31:30)

Offline

#8 2019-10-01 12:45:58

IV_CoAs
Member
From: Tampere
Registered: 2013-07-12
Posts: 43

Re: [SOLVED] Salome-meca 2019.0.0-1

Hello,

this below didn't solve the problem.


mecour wrote:

Hello,

there is classical problem with libstdc++.
I can solve it by deleting link libstdc++.so.6 in

HOME/salome_meca/V2019_univ/prerequisites/debianForSalome/lib

and create new link to system libraries.
ln -s /usr/local/lib64/libstdc++.so.6

then the salome-meca starts well.

but if I want to run AsterStudy module I get many errors from PyQT library like:
AttributeError: module 'PyQt5.Qt' has no attribute 'Qt'

The python problem is only with AsterStudy module, all other modules works fine.
mecour


Naturally there can be this libstdc++ problem, but looking that something other problem also.



Br Ilkka

Offline

#9 2019-10-01 14:14:09

mathieu.courtois
Administrator
From: France
Registered: 2007-11-21
Posts: 1,167

Re: [SOLVED] Salome-meca 2019.0.0-1

Hello all!

For the error message at startup "/Kernel/Session" not found, it should be solved by installing these packages:

net-tools
libnlopt0


Code_Aster release : last unstable on Ubuntu 16.04 64 bits - GNU Compilers

Please do not forget to tag your first post as *SOLVED* when it is!

Offline

#10 2019-10-01 14:40:40

IV_CoAs
Member
From: Tampere
Registered: 2013-07-12
Posts: 43

Re: [SOLVED] Salome-meca 2019.0.0-1

Hello

mathieu.courtois wrote:

Hello all!

For the error message at startup "/Kernel/Session" not found, it should be solved by installing these packages:

net-tools
libnlopt0

I reinstall these packages, but didn't solve the problem at least in my environment.

BR Ilkka

Offline

#11 2019-10-01 14:49:17

dezsit
Member
Registered: 2012-06-27
Posts: 27
Website

Re: [SOLVED] Salome-meca 2019.0.0-1

Hi All,

After Mathieu's answer the following worked me:

for nlopt problem (eg. Jcm's post):
export LD_LIBRARY_PATH=/opt/SalomeMeca_2018/V2018.0.1_public/prerequisites/Nlopt-242/lib:$LD_LIBRARY_PATH
(I used the installation from sm2018)

for QT problem (eg. ftrillaudp's post):
export LD_LIBRARY_PATH=/opt/SalomeMeca_2019/V2019_univ/prerequisites/Qt-591/lib:$LD_LIBRARY_PATH

for net-tools problem:
export LD_LIBRARY_PATH=/usr/lib/x86_64-linux-gnu:$LD_LIBRARY_PATH

Best regards,
dezsit

Offline

#12 2019-10-01 15:21:16

sb1966
Member
Registered: 2015-03-16
Posts: 97

Re: [SOLVED] Salome-meca 2019.0.0-1

export LD_LIBRARY_PATH=/opt/SalomeMeca_2018/V2018.0.1_public/prerequisites/Nlopt-242/lib:$LD_LIBRARY_PATH
(I used the installation from sm2018)

for QT problem (eg. ftrillaudp's post):
export LD_LIBRARY_PATH=/opt/SalomeMeca_2019/V2019_univ/prerequisites/Qt-591/lib:$LD_LIBRARY_PATH

for net-tools problem:
export LD_LIBRARY_PATH=/usr/lib/x86_64-linux-gnu:$LD_LIBRARY_PATH

Hi,
Thanks for your solution. However, it is not clear to me.
Are we talking about compiling from source? Else, if we are talking about the universal binary (2019) where and when can we pass these commands?

Thank you.

Best regards.

Sukumar

Offline

#13 2019-10-01 15:27:00

dezsit
Member
Registered: 2012-06-27
Posts: 27
Website

Re: [SOLVED] Salome-meca 2019.0.0-1

Hi,

I am using the universal binary. Simply run these commands in the shell just before you start salome-meca.
(Later on you can source them in your environment, eg. in .bashrc)

BR.
dezsit

Offline

#14 2019-10-01 15:36:17

sb1966
Member
Registered: 2015-03-16
Posts: 97

Re: [SOLVED] Salome-meca 2019.0.0-1

Hi,
Thank you so much for your quick response. I followed your suggestion, but unfortunately it didn't help me. The following is my terminal output:

 
sukumar@sukumar-HP-200-G3-AiO:~/salome_meca/appli_V2019_univ$ export LD_LIBRARY_PATH=/home/sukumar/SalomeMeca_2019/V2019_univ/prerequisites/Nlopt-242/lib:$LD_LIBRARY_PATH
sukumar@sukumar-HP-200-G3-AiO:~/salome_meca/appli_V2019_univ$ export LD_LIBRARY_PATH=/opt/SalomeMeca_2019/V2019_univ/prerequisites/Qt-591/lib:$LD_LIBRARY_PATH
sukumar@sukumar-HP-200-G3-AiO:~/salome_meca/appli_V2019_univ$ export LD_LIBRARY_PATH=/usr/lib/x86_64-linux-gnu:$LD_LIBRARY_PATH
sukumar@sukumar-HP-200-G3-AiO:~/salome_meca/appli_V2019_univ$ ./salome
runSalome running on sukumar-HP-200-G3-AiO
Searching for a free port for naming service: 2811 - OK
Searching Naming Service  + found in 0.1 seconds 
SALOME_Session_Server: error while loading shared libraries: libQt5X11Extras.so.5: cannot open shared object file: No such file or directory
Traceback (most recent call last):
  File "/home/sukumar/salome_meca/V2019_univ/modules/KERNEL_V9_3_0/bin/salome/orbmodule.py", line 172, in waitNSPID
    os.kill(thePID,0)
ProcessLookupError: [Errno 3] No such process

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/sukumar/salome_meca/appli_V2019_univ/bin/salome/runSalome.py", line 633, in useSalome
    clt = startSalome(args, modules_list, modules_root_dir)
  File "/home/sukumar/salome_meca/appli_V2019_univ/bin/salome/runSalome.py", line 578, in startSalome
    session=clt.waitNSPID("/Kernel/Session",mySessionServ.PID,SALOME.Session)
  File "/home/sukumar/salome_meca/V2019_univ/modules/KERNEL_V9_3_0/bin/salome/orbmodule.py", line 174, in waitNSPID
    raise RuntimeError("Process %d for %s not found" % (thePID,theName))
RuntimeError: Process 2447 for /Kernel/Session not found
Searching /Kernel/Session in Naming Service  

--- Error during Salome launch ---
sukumar@sukumar-HP-200-G3-AiO:~/salome_meca/appli_V2019_univ$ ./salome
runSalome running on sukumar-HP-200-G3-AiO
Searching for a free port for naming service: 2812 - OK
Searching Naming Service  + found in 0.1 seconds 
SALOME_Session_Server: error while loading shared libraries: libQt5X11Extras.so.5: cannot open shared object file: No such file or directory
Traceback (most recent call last):
  File "/home/sukumar/salome_meca/V2019_univ/modules/KERNEL_V9_3_0/bin/salome/orbmodule.py", line 172, in waitNSPID
    os.kill(thePID,0)
ProcessLookupError: [Errno 3] No such process

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/sukumar/salome_meca/appli_V2019_univ/bin/salome/runSalome.py", line 633, in useSalome
    clt = startSalome(args, modules_list, modules_root_dir)
  File "/home/sukumar/salome_meca/appli_V2019_univ/bin/salome/runSalome.py", line 578, in startSalome
    session=clt.waitNSPID("/Kernel/Session",mySessionServ.PID,SALOME.Session)
  File "/home/sukumar/salome_meca/V2019_univ/modules/KERNEL_V9_3_0/bin/salome/orbmodule.py", line 174, in waitNSPID
    raise RuntimeError("Process %d for %s not found" % (thePID,theName))
RuntimeError: Process 2482 for /Kernel/Session not found
Searching /Kernel/Session in Naming Service  

--- Error during Salome launch ---
sukumar@sukumar-HP-200-G3-AiO:~/salome_meca/appli_V2019_univ$ ./salome
runSalome running on sukumar-HP-200-G3-AiO
Searching for a free port for naming service: 2813 - OK
Searching Naming Service  + found in 0.1 seconds 
SALOME_Session_Server: error while loading shared libraries: libQt5X11Extras.so.5: cannot open shared object file: No such file or directory
Traceback (most recent call last):
  File "/home/sukumar/salome_meca/V2019_univ/modules/KERNEL_V9_3_0/bin/salome/orbmodule.py", line 172, in waitNSPID
    os.kill(thePID,0)
ProcessLookupError: [Errno 3] No such process

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/sukumar/salome_meca/appli_V2019_univ/bin/salome/runSalome.py", line 633, in useSalome
    clt = startSalome(args, modules_list, modules_root_dir)
  File "/home/sukumar/salome_meca/appli_V2019_univ/bin/salome/runSalome.py", line 578, in startSalome
    session=clt.waitNSPID("/Kernel/Session",mySessionServ.PID,SALOME.Session)
  File "/home/sukumar/salome_meca/V2019_univ/modules/KERNEL_V9_3_0/bin/salome/orbmodule.py", line 174, in waitNSPID
    raise RuntimeError("Process %d for %s not found" % (thePID,theName))
RuntimeError: Process 2515 for /Kernel/Session not found
Searching /Kernel/Session in Naming Service  

--- Error during Salome launch ---

Hope I can find some solution in near future.

Thank you and Best regards.

Sukumar

Offline

#15 2019-10-01 15:44:58

sb1966
Member
Registered: 2015-03-16
Posts: 97

Re: [SOLVED] Salome-meca 2019.0.0-1

Dear Dezsit,

I was too quick to respond. Your solution has worked.. In the last post, my path was wrong and it did not point to my installation directory.

Thank you once again.

Regards..

Sukumar

Offline

#16 2019-10-01 15:50:00

dezsit
Member
Registered: 2012-06-27
Posts: 27
Website

Re: [SOLVED] Salome-meca 2019.0.0-1

You have to change the library path to your installation:

export LD_LIBRARY_PATH=/opt/SalomeMeca_2019/V2019_univ/prerequisites/Qt-591/lib:$LD_LIBRARY_PATH
should be
export LD_LIBRARY_PATH=/home/sukumar/S/SalomeMeca_2019/V2019_univ/prerequisites/Qt-591/lib:$LD_LIBRARY_PATH

and this one probably won't work:
export LD_LIBRARY_PATH=/home/sukumar/SalomeMeca_2019/V2019_univ/prerequisites/Nlopt-242/lib:$LD_LIBRARY_PATH

because the nlopt is not part of the V2019. I linked it from my previously installed V2018 version
(see in my previous post:
export LD_LIBRARY_PATH=/opt/SalomeMeca_2018/V2018.0.1_public/prerequisites/Nlopt-242/lib:$LD_LIBRARY_PATH" )

or you have to install it manually

BR
dezsit

Offline

#17 2019-10-01 15:53:51

ftrillaudp
Member
From: Mexico city
Registered: 2012-04-24
Posts: 15

Re: [SOLVED] Salome-meca 2019.0.0-1

IN my case, it did not work. Here is the output:

runSalome running on debian-gnu-linux-vm
Searching for a free port for naming service: 2815 - OK
Searching Naming Service  + found in 0.1 seconds
Searching /Kernel/Session in Naming Service  ++Traceback (most recent call last):
  File "/opt/salome_meca/V2019_univ/modules/KERNEL_V9_3_0/bin/salome/orbmodule.py", line 172, in waitNSPID
    os.kill(thePID,0)
ProcessLookupError: [Errno 3] No such process

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/salome_meca/appli_V2019_univ/bin/salome/runSalome.py", line 633, in useSalome
    clt = startSalome(args, modules_list, modules_root_dir)
  File "/opt/salome_meca/appli_V2019_univ/bin/salome/runSalome.py", line 578, in startSalome
    session=clt.waitNSPID("/Kernel/Session",mySessionServ.PID,SALOME.Session)
  File "/opt/salome_meca/V2019_univ/modules/KERNEL_V9_3_0/bin/salome/orbmodule.py", line 174, in waitNSPID
    raise RuntimeError("Process %d for %s not found" % (thePID,theName))
RuntimeError: Process 5864 for /Kernel/Session not found


--- Error during Salome launch ---

I have added:
export LD_LIBRARY_PATH=/opt/salome_meca/V2019_univ/prerequisites/Qt-591/lib:$LD_LIBRARY_PATH

I have installed net-tools and libnlopt0

Best,

Frederic


Research professor
Fields of interest: engineering, thermodynamics, mechanics, electromagnetism, computer science and open source software

Offline

#18 2019-10-01 16:01:13

dezsit
Member
Registered: 2012-06-27
Posts: 27
Website

Re: [SOLVED] Salome-meca 2019.0.0-1

Hello,

did you add the path of the nlopt and net-tools to your library path?
like
export LD_LIBRARY_PATH=/usr/lib/x86_64-linux-gnu:$LD_LIBRARY_PATH
(probably nlopt have been also installed here, if not try this: export LD_LIBRARY_PATH=/usr/lib/x86_64-linux-gnu/lib:$LD_LIBRARY_PATH, or make a search after the library, eg. find /usr -name "libnlopt*" and use that path)

dezsit

Offline

#19 2019-10-01 16:54:24

ftrillaudp
Member
From: Mexico city
Registered: 2012-04-24
Posts: 15

Re: [SOLVED] Salome-meca 2019.0.0-1

I did all the recommended suggestions. Here is what I got as error:

runSalome running on debian-gnu-linux-vm
Searching for a free port for naming service: 2819 - OK
Searching Naming Service  + found in 0.1 seconds
SALOME_Session_Server: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.9' not found (required by SALOME_Session_Server)
SALOME_Session_Server: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.9' not found (required by /home/parallels/../../opt/salome_meca2019/appli_V2019_univ/lib/salome/libSalomeSession.so)
SALOME_Session_Server: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.9' not found (required by /home/parallels/../../opt/salome_meca2019/appli_V2019_univ/lib/salome/libSalomeApp.so)
SALOME_Session_Server: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.9' not found (required by /home/parallels/../../opt/salome_meca2019/appli_V2019_univ/lib/salome/libLightApp.so)
SALOME_Session_Server: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.9' not found (required by /home/parallels/../../opt/salome_meca2019/appli_V2019_univ/lib/salome/libEvent.so)
SALOME_Session_Server: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.9' not found (required by /home/parallels/../../opt/salome_meca2019/appli_V2019_univ/lib/salome/libCAM.so)
SALOME_Session_Server: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.9' not found (required by /home/parallels/../../opt/salome_meca2019/appli_V2019_univ/lib/salome/libstd.so)
SALOME_Session_Server: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.9' not found (required by /home/parallels/../../opt/salome_meca2019/appli_V2019_univ/lib/salome/libLogWindow.so)
SALOME_Session_Server: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.9' not found (required by /home/parallels/../../opt/salome_meca2019/appli_V2019_univ/lib/salome/libGraphicsView.so)
SALOME_Session_Server: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.9' not found (required by /home/parallels/../../opt/salome_meca2019/appli_V2019_univ/lib/salome/libImageComposer.so)
SALOME_Session_Server: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.9' not found (required by /home/parallels/../../opt/salome_meca2019/appli_V2019_univ/lib/salome/libPyViewer.so)
SALOME_Session_Server: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.9' not found (required by /home/parallels/../../opt/salome_meca2019/appli_V2019_univ/lib/salome/libPyEditor.so)
SALOME_Session_Server: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.9' not found (required by /home/parallels/../../opt/salome_meca2019/appli_V2019_univ/lib/salome/libQxScene.so)
SALOME_Session_Server: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.9' not found (required by /home/parallels/../../opt/salome_meca2019/appli_V2019_univ/lib/salome/libSUITApp.so)
SALOME_Session_Server: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.9' not found (required by /home/parallels/../../opt/salome_meca2019/appli_V2019_univ/lib/salome/libSalomeStyle.so)
SALOME_Session_Server: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.9' not found (required by /home/parallels/../../opt/salome_meca2019/appli_V2019_univ/lib/salome/libToolsGUI.so)
SALOME_Session_Server: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.9' not found (required by /home/parallels/../../opt/salome_meca2019/appli_V2019_univ/lib/salome/libSVTK.so)
SALOME_Session_Server: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.9' not found (required by /home/parallels/../../opt/salome_meca2019/appli_V2019_univ/lib/salome/libVTKViewer.so)
SALOME_Session_Server: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.9' not found (required by /home/parallels/../../opt/salome_meca2019/appli_V2019_univ/lib/salome/libPyConsole.so)
SALOME_Session_Server: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.9' not found (required by /home/parallels/../../opt/salome_meca2019/appli_V2019_univ/lib/salome/libGLViewer.so)
SALOME_Session_Server: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.9' not found (required by /home/parallels/../../opt/salome_meca2019/appli_V2019_univ/lib/salome/libSPlot2d.so)
SALOME_Session_Server: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.9' not found (required by /home/parallels/../../opt/salome_meca2019/appli_V2019_univ/lib/salome/libPlot2d.so)
SALOME_Session_Server: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.9' not found (required by /opt/salome_meca2019/V2019_univ/prerequisites/Qwt-612/lib/libqwt.so.6)
SALOME_Session_Server: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.9' not found (required by /home/parallels/../../opt/salome_meca2019/appli_V2019_univ/lib/salome/libSOCC.so)
SALOME_Session_Server: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.9' not found (required by /home/parallels/../../opt/salome_meca2019/appli_V2019_univ/lib/salome/libOCCViewer.so)
SALOME_Session_Server: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.9' not found (required by /home/parallels/../../opt/salome_meca2019/appli_V2019_univ/lib/salome/libViewerTools.so)
SALOME_Session_Server: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.9' not found (required by /home/parallels/../../opt/salome_meca2019/appli_V2019_univ/lib/salome/libPVViewer.so)
SALOME_Session_Server: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.9' not found (required by /home/parallels/../../opt/salome_meca2019/appli_V2019_univ/lib/salome/libsuit.so)
SALOME_Session_Server: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.9' not found (required by /home/parallels/../../opt/salome_meca2019/appli_V2019_univ/lib/salome/libObjBrowser.so)
SALOME_Session_Server: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.9' not found (required by /home/parallels/../../opt/salome_meca2019/appli_V2019_univ/lib/salome/libqtx.so)
SALOME_Session_Server: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.9' not found (required by /home/parallels/../../opt/salome_meca2019/appli_V2019_univ/lib/salome/libPyInterp.so)
SALOME_Session_Server: /opt/salome_meca2019/V2019_univ/prerequisites/debianForSalome/lib/libstdc++.so.6: version `CXXABI_1.3.9' not found (required by /usr/lib/x86_64-linux-gnu/libQt5Xml.so.5)
SALOME_Session_Server: /opt/salome_meca2019/V2019_univ/prerequisites/debianForSalome/lib/libstdc++.so.6: version `CXXABI_1.3.9' not found (required by /usr/lib/x86_64-linux-gnu/libQt5OpenGL.so.5)
SALOME_Session_Server: /opt/salome_meca2019/V2019_univ/prerequisites/debianForSalome/lib/libstdc++.so.6: version `CXXABI_1.3.9' not found (required by /usr/lib/x86_64-linux-gnu/libQt5PrintSupport.so.5)
SALOME_Session_Server: /opt/salome_meca2019/V2019_univ/prerequisites/debianForSalome/lib/libstdc++.so.6: version `CXXABI_1.3.9' not found (required by /usr/lib/x86_64-linux-gnu/libQt5Test.so.5)
SALOME_Session_Server: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.9' not found (required by /opt/salome_meca2019/V2019_univ/prerequisites/Paraview-v560p1/lib/paraview-5.6/libvtkpqApplicationComponents-pv5.6.so.1)
SALOME_Session_Server: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.9' not found (required by /opt/salome_meca2019/V2019_univ/prerequisites/Paraview-v560p1/lib/paraview-5.6/libvtkpqComponents-pv5.6.so.1)
SALOME_Session_Server: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.9' not found (required by /opt/salome_meca2019/V2019_univ/prerequisites/Paraview-v560p1/lib/paraview-5.6/libvtkpqPython-pv5.6.so.1)
SALOME_Session_Server: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.9' not found (required by /opt/salome_meca2019/V2019_univ/prerequisites/Paraview-v560p1/lib/paraview-5.6/libvtkpqCore-pv5.6.so.1)
SALOME_Session_Server: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.9' not found (required by /opt/salome_meca2019/V2019_univ/prerequisites/Paraview-v560p1/lib/paraview-5.6/libvtkpqWidgets-pv5.6.so.1)
SALOME_Session_Server: /opt/salome_meca2019/V2019_univ/prerequisites/debianForSalome/lib/libstdc++.so.6: version `CXXABI_1.3.9' not found (required by /usr/lib/x86_64-linux-gnu/libQt5Network.so.5)
SALOME_Session_Server: /opt/salome_meca2019/V2019_univ/prerequisites/debianForSalome/lib/libstdc++.so.6: version `CXXABI_1.3.9' not found (required by /usr/lib/x86_64-linux-gnu/libQt5Help.so.5)
SALOME_Session_Server: /opt/salome_meca2019/V2019_univ/prerequisites/debianForSalome/lib/libstdc++.so.6: version `CXXABI_1.3.9' not found (required by /usr/lib/x86_64-linux-gnu/libQt5Sql.so.5)
SALOME_Session_Server: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.9' not found (required by /opt/salome_meca2019/V2019_univ/prerequisites/Paraview-v560p1/lib/paraview-5.6/libQtTesting-pv5.6.so)
SALOME_Session_Server: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.9' not found (required by /opt/salome_meca2019/V2019_univ/prerequisites/Paraview-v560p1/lib/paraview-5.6/libvtkGUISupportQt-pv5.6.so.1)
SALOME_Session_Server: /opt/salome_meca2019/V2019_univ/prerequisites/debianForSalome/lib/libstdc++.so.6: version `CXXABI_1.3.9' not found (required by /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5)
SALOME_Session_Server: /opt/salome_meca2019/V2019_univ/prerequisites/debianForSalome/lib/libstdc++.so.6: version `CXXABI_1.3.9' not found (required by /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5)
SALOME_Session_Server: /opt/salome_meca2019/V2019_univ/prerequisites/debianForSalome/lib/libstdc++.so.6: version `CXXABI_1.3.9' not found (required by /usr/lib/x86_64-linux-gnu/libQt5Core.so.5)
SALOME_Session_Server: /opt/salome_meca2019/V2019_univ/prerequisites/debianForSalome/lib/libstdc++.so.6: version `CXXABI_1.3.9' not found (required by /usr/lib/x86_64-linux-gnu/libQt5Svg.so.5)
SALOME_Session_Server: /opt/salome_meca2019/V2019_univ/prerequisites/debianForSalome/lib/libstdc++.so.6: version `CXXABI_1.3.9' not found (required by /usr/lib/x86_64-linux-gnu/libQt5Concurrent.so.5)
SALOME_Session_Server: /opt/salome_meca2019/V2019_univ/prerequisites/debianForSalome/lib/libstdc++.so.6: version `GLIBCXX_3.4.21' not found (required by /usr/lib/x86_64-linux-gnu/libQt5CLucene.so.5)
SALOME_Session_Server: /opt/salome_meca2019/V2019_univ/prerequisites/debianForSalome/lib/libstdc++.so.6: version `CXXABI_1.3.9' not found (required by /usr/lib/x86_64-linux-gnu/libQt5CLucene.so.5)
Traceback (most recent call last):
  File "/opt/salome_meca2019/V2019_univ/modules/KERNEL_V9_3_0/bin/salome/orbmodule.py", line 172, in waitNSPID
    os.kill(thePID,0)
ProcessLookupError: [Errno 3] No such process

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/salome_meca2019/appli_V2019_univ/bin/salome/runSalome.py", line 633, in useSalome
    clt = startSalome(args, modules_list, modules_root_dir)
  File "/opt/salome_meca2019/appli_V2019_univ/bin/salome/runSalome.py", line 578, in startSalome
    session=clt.waitNSPID("/Kernel/Session",mySessionServ.PID,SALOME.Session)
  File "/opt/salome_meca2019/V2019_univ/modules/KERNEL_V9_3_0/bin/salome/orbmodule.py", line 174, in waitNSPID
    raise RuntimeError("Process %d for %s not found" % (thePID,theName))
RuntimeError: Process 18951 for /Kernel/Session not found
Searching /Kernel/Session in Naming Service 

--- Error during Salome launch ---


Research professor
Fields of interest: engineering, thermodynamics, mechanics, electromagnetism, computer science and open source software

Offline

#20 2019-10-01 19:54:26

GXA_William
Member
Registered: 2016-04-30
Posts: 40

Re: [SOLVED] Salome-meca 2019.0.0-1

Hello.

I reinstalled libnlopt0 and net-tools; also used the trick of "export LD-Path..." pointing to the SMECA 2018 install for a quick-fast-dirty attempt to launch SMECA 2019.

Still no success.

I post the error message below for reference.

Kind regards,

-William

Searching for a free port for naming service: 2819 - OK
Searching Naming Service  + found in 0.1 seconds
Searching /Kernel/Session in Naming Service  ++Traceback (most recent call last):
  File "/opt/V2019_univ/modules/KERNEL_V9_3_0/bin/salome/orbmodule.py", line 172, in waitNSPID
    os.kill(thePID,0)
ProcessLookupError: [Errno 3] No such process

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/appli_V2019_univ/bin/salome/runSalome.py", line 633, in useSalome
    clt = startSalome(args, modules_list, modules_root_dir)
  File "/opt/appli_V2019_univ/bin/salome/runSalome.py", line 578, in startSalome
    session=clt.waitNSPID("/Kernel/Session",mySessionServ.PID,SALOME.Session)
  File "/opt/V2019_univ/modules/KERNEL_V9_3_0/bin/salome/orbmodule.py", line 174, in waitNSPID
    raise RuntimeError("Process %d for %s not found" % (thePID,theName))
RuntimeError: Process 7208 for /Kernel/Session not found


--- Error during Salome launch ---

Offline

#21 2019-10-01 20:57:38

AsterO'dactyle
Administrator
Registered: 2007-11-29
Posts: 266

Re: [SOLVED] Salome-meca 2019.0.0-1

Hello,


For Ubuntu18.04, you have to install:
libQt5OpenGL
libQt5Concurrent
libNLopt0

To use shaper:
libQT5MultimediaWidgets


Code_Asterの開発者

Offline

#22 2019-10-02 17:32:27

IV_CoAs
Member
From: Tampere
Registered: 2013-07-12
Posts: 43

Re: [SOLVED] Salome-meca 2019.0.0-1

Hello,

Ubuntu 18.04 worked after giving command: sudo apt-get install libQt5* net-tools libnlopt0.

I have attached print screen, it says 2018 but You read 2019 ?

Ubuntu 16.04 is under investigation, have not get solution or it.

BR
Ilkka


Attachments:
Salome_2019.png, Size: 292.2 KiB, Downloads: 59

Offline

#23 2019-10-02 20:10:09

GXA_William
Member
Registered: 2016-04-30
Posts: 40

Re: [SOLVED] Salome-meca 2019.0.0-1

Hello Code_Aster community.

Okay, we are successful with installation of SMECA v2019 on a Ubuntu 16.04-64 bits platform.

For us the trick was to add a path to QT 5.9.1; this can be done several ways, we chose to modify the bashrc files by including the following line:

export LD_LIBRARY_PATH=/opt/QT/5.9.1/gcc_64/lib:$LD_LIBRARY_PATH

Note that in our case the library was located in the /opt folder - to use this properly one must point to the proper folder location.  We also reinstalled net-tools and nlopt0, though this step might be unnecessary if QT 5.9.1 library is properly linked.

As Ilkka mentioned the software shows 2018, though it is in fact v2019.

For us the software does not run using the desktop icon, it requires running it through a terminal command (I am unsure of the reason for this anomaly so I cannot offer a solution).

The install does start with several 'Warnings' (see attached image), but I believe these are normal as SMECA does not usually include all of the plugins which are included with standard Salome releases.

Thank you Code_Aster software team for your hard work - I can only imagine the difficulties which come with developing and releasing major changes to existing software - both Code_Aster and AsterStudy are truly great.

-William


Attachments:
Selection_001.png, Size: 52.5 KiB, Downloads: 40

Offline

#24 2019-10-02 21:46:06

mathieu.courtois
Administrator
From: France
Registered: 2007-11-21
Posts: 1,167

Re: [SOLVED] Salome-meca 2019.0.0-1

Hello!

Thank you for your feedbacks!

We had very few time this year to prepare the LGPL version. We need your help to improve the installation notes on various configurations.

2018 shown at startup, title window, Help/About panel: ok, easy to fix!

Warnings about "improperly configured" SMESH plugins": I don't know why and they are working as expected.

Starting from the desktop icon: that's probably because you need to set the Qt 5.9.1 environment before starting salome_meca.
You can simply change the desktop file and call a wrapper that source Qt 5.9.1 env and then execute "......./salome $@"

A build of Qt-5.9.1 libraries are embedded, could you try if it works with (instead of your own build):

export LD_LIBRARY_PATH=<SMECA INSTALL>/V2019_univ/prerequisites/Qt-591/lib/lib:$LD_LIBRARY_PATH


MC


Code_Aster release : last unstable on Ubuntu 16.04 64 bits - GNU Compilers

Please do not forget to tag your first post as *SOLVED* when it is!

Offline

#25 2019-10-02 22:07:20

dezsit
Member
Registered: 2012-06-27
Posts: 27
Website

Re: [SOLVED] Salome-meca 2019.0.0-1

Hello,

It works me with the embedded Qt on Ubuntu (Xubuntu) 18.04, even with Shaper module
AsterStudy also, but it is very slow (comparing to 2018 version). Using the new post processing option has been freezing the SalomeMeca complately , even with a very small model.
Additionally, I can't re-open a study hdf, if the AsterStudy was activated before the saving operation, even if I don't do anything in AsterStudy, only simply activated it.
I'm curious, if anybody else has similar issue...

BR,
dezsit

Last edited by dezsit (2019-10-02 22:12:08)

Offline